Index: /trunk/src/scripts_Laura/read_AMSUA_test.py
===================================================================
--- /trunk/src/scripts_Laura/read_AMSUA_test.py	(revision 20)
+++ /trunk/src/scripts_Laura/read_AMSUA_test.py	(revision 30)
@@ -9,24 +9,129 @@
 import netCDF4
 
-################ fichiers par mois - CH1 ###################################################
-
-f1='/net/dedale/usr/dedale/surf/lelod/ANTARC/AMSUA_CH1_ANTARC_'
-f2='2010.DAT'
-date=np.array(['JANUARY', 'FEBRUARY', 'MARCH', 'APRIL', 'MAY', 'JUNE', 'JULY'])
-
-numlines_month=np.zeros([7],float)
-
-for i in range (0,7):
-    f=f1+str(date[i])+f2
-    fichier=open(f,'r')
-    numlines_month[i]=0
-    for line in fichier: numlines_month[i]+=1
+################ fichiers par mois  ###################################################
+
+#########
+## CH1 ##
+#########
+
+f1 = '/net/dedale/usr/dedale/surf/lelod/ANTARC/AMSUA_CH1_ANTARC_'
+f2 = '2010.DAT'
+date = np.array(['JANUARY', 'FEBRUARY', 'MARCH', 'APRIL', 'MAY', 'JUNE', 'JULY'])
+
+numlines_month = np.zeros([7],float)
+
+for i in range (0, 7):
+    print 'mois =', date[i]
+    f = f1 + str(date[i]) + f2
+    fichier = open(f,'r')
+    numlines_month[i] = 0
+    for line in fichier : numlines_month[i] += 1
 
     fichier.close()
 
 
-i=0 #JANUARY
-f=f1+str(date[i])+f2
-fichier=open(f,'r')
+i = 0 #JANUARY
+f = f1 + str(date[i]) + f2
+fichier = open(f,'r')
+amch = np.zeros([20, numlines_month[i]], float)
+for iligne in range (0, numlines_month[i]):
+    line = fichier.readline()
+    liste = line.split()
+    for j in range (0, 20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch1_JAN = amch
+lon1_JAN = amch1_JAN[0,:]
+lat1_JAN = amch1_JAN[1,:]
+jjr1_JAN = amch1_JAN[4,:]
+fov1_JAN = amch1_JAN[7,:]
+ts1_JAN = amch1_JAN[10,:]
+emis1_JAN = amch1_JAN[16,:]
+tb1_JAN = amch1_JAN[15,:]
+tup1_JAN = amch1_JAN[18,:]
+tdn1_JAN = amch1_JAN[17,:]
+trans1_JAN = amch1_JAN[19,:]
+orog1_JAN = amch1_JAN[13,:]
+
+
+i = 1 #FEBRUARY
+f = f1 + str(date[i]) + f2
+fichier = open(f,'r')
+amch = np.zeros([20, numlines_month[i]], float)
+for iligne in range (0, numlines_month[i]):
+    line = fichier.readline()
+    liste = line.split()
+    for j in range(0,20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch1_FEB = amch
+lon1_FEB = amch1_FEB[0,:]
+lat1_FEB = amch1_FEB[1,:]
+jjr1_FEB = amch1_FEB[4,:]
+fov1_FEB = amch1_FEB[7,:]
+ts1_FEB = amch1_FEB[10,:]
+emis1_FEB = amch1_FEB[16,:]
+tb1_FEB = amch1_FEB[15,:]
+tup1_FEB = amch1_FEB[18,:]
+tdn1_FEB = amch1_FEB[17,:]
+trans1_FEB = amch1_FEB[19,:]
+orog1_FEB = amch1_FEB[13,:]
+
+
+i = 2 #MARCH
+f = f1 + str(date[i]) + f2
+fichier = open(f, 'r')
+amch = np.zeros([20, numlines_month[i]], float)
+for iligne in range (0, numlines_month[i]):
+    line = fichier.readline()
+    liste = line.split()
+    for j in range (0, 20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch1_MAR = amch
+lon1_MAR = amch1_MAR[0,:]
+lat1_MAR = amch1_MAR[1,:]
+jjr1_MAR = amch1_MAR[4,:]
+fov1_MAR = amch1_MAR[7,:]
+ts1_MAR = amch1_MAR[10,:]
+emis1_MAR = amch1_MAR[16,:]
+tb1_MAR = amch1_MAR[15,:]
+tup1_MAR = amch1_MAR[18,:]
+tdn1_MAR = amch1_MAR[17,:]
+trans1_MAR = amch1_MAR[19,:]
+orog1_MAR = amch1_MAR[13,:]
+
+
+i = 3 #APRIL
+f = f1 + str(date[i]) + f2
+fichier = open(f, 'r')
+amch = np.zeros([20, numlines_month[i]], float)
+for iligne in range (0, numlines_month[i]):
+    line = fichier.readline()
+    liste = line.split()
+    for j in range (0, 20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch1_APR = amch
+lon1_APR = amch1_APR[0,:]
+lat1_APR = amch1_APR[1,:]
+jjr1_APR = amch1_APR[4,:]
+fov1_APR = amch1_APR[7,:]
+ts1_APR = amch1_APR[10,:]
+emis1_APR = amch1_APR[16,:]
+tb1_APR = amch1_APR[15,:]
+tup1_APR = amch1_APR[18,:]
+tdn1_APR = amch1_APR[17,:]
+trans1_APR = amch1_APR[19,:]
+orog1_APR = amch1_APR[13,:]
+
+
+i = 4 #MAY
+f = f1 + str(date[i]) + f2
+fichier = open(f, 'r')
 amch=np.zeros([20,numlines_month[i]],float)
 for iligne in range (0,numlines_month[i]):
@@ -36,125 +141,10 @@
         amch[j,iligne] = float(liste[j])
 
-
-    fichier.close()
-
-
-amch1_JAN=amch
-#### def des variables 
-lon1_JAN=amch1_JAN[0,:]
-lat1_JAN=amch1_JAN[1,:]
-jjr1_JAN=amch1_JAN[4,:]
-ts1_JAN=amch1_JAN[10,:]
-emis1_JAN=amch1_JAN[16,:]
-tb1_JAN=amch1_JAN[15,:]
-tup1_JAN=amch1_JAN[18,:]
-tdn1_JAN=amch1_JAN[17,:]
-trans1_JAN=amch1_JAN[19,:]
-orog1_JAN=amch1_JAN[13,:]
-
-
-i=1 #FEBRUARY
-f=f1+str(date[i])+f2
-fichier=open(f,'r')
-amch=np.zeros([20,numlines_month[i]],float)
-for iligne in range (0,numlines_month[i]):
-    line=fichier.readline()
-    liste = line.split()
-    for j in range(0,20):
-        amch[j,iligne] = float(liste[j])
-
-
-    fichier.close()
-
-
-amch1_FEB=amch
-#### def des variables CH1 corrigees
-lon1_FEB=amch1_FEB[0,:]
-lat1_FEB=amch1_FEB[1,:]
-jjr1_FEB=amch1_FEB[4,:]
-ts1_FEB=amch1_FEB[10,:]
-emis1_FEB=amch1_FEB[16,:]
-tb1_FEB=amch1_FEB[15,:]
-tup1_FEB=amch1_FEB[18,:]
-tdn1_FEB=amch1_FEB[17,:]
-trans1_FEB=amch1_FEB[19,:]
-orog1_FEB=amch1_FEB[13,:]
-
-
-i=2 #MARCH
-f=f1+str(date[i])+f2
-fichier=open(f,'r')
-amch=np.zeros([20,numlines_month[i]],float)
-for iligne in range (0,numlines_month[i]):
-    line=fichier.readline()
-    liste = line.split()
-    for j in range(0,20):
-        amch[j,iligne] = float(liste[j])
-
-
-    fichier.close()
-
-
-amch1_MAR=amch
-#### def des variables
-lon1_MAR=amch1_MAR[0,:]
-lat1_MAR=amch1_MAR[1,:]
-jjr1_MAR=amch1_MAR[4,:]
-ts1_MAR=amch1_MAR[10,:]
-emis1_MAR=amch1_MAR[16,:]
-tb1_MAR=amch1_MAR[15,:]
-tup1_MAR=amch1_MAR[18,:]
-tdn1_MAR=amch1_MAR[17,:]
-trans1_MAR=amch1_MAR[19,:]
-orog1_MAR=amch1_MAR[13,:]
-
-
-i=3 #APRIL
-f=f1+str(date[i])+f2
-fichier=open(f,'r')
-amch=np.zeros([20,numlines_month[i]],float)
-for iligne in range (0,numlines_month[i]):
-    line=fichier.readline()
-    liste = line.split()
-    for j in range(0,20):
-        amch[j,iligne] = float(liste[j])
-
-
-    fichier.close()
-
-
-amch1_APR=amch
-#### def des variables 
-lon1_APR=amch1_APR[0,:]
-lat1_APR=amch1_APR[1,:]
-jjr1_APR=amch1_APR[4,:]
-ts1_APR=amch1_APR[10,:]
-emis1_APR=amch1_APR[16,:]
-tb1_APR=amch1_APR[15,:]
-tup1_APR=amch1_APR[18,:]
-tdn1_APR=amch1_APR[17,:]
-trans1_APR=amch1_APR[19,:]
-orog1_APR=amch1_APR[13,:]
-
-
-i=4 #MAY
-f=f1+str(date[i])+f2
-fichier=open(f,'r')
-amch=np.zeros([20,numlines_month[i]],float)
-for iligne in range (0,numlines_month[i]):
-    line=fichier.readline()
-    liste = line.split()
-    for j in range(0,20):
-        amch[j,iligne] = float(liste[j])
-
-
-    fichier.close()
-
-
+fichier.close()
 amch1_MAY=amch
-#### def des variables
 lon1_MAY=amch1_MAY[0,:]
 lat1_MAY=amch1_MAY[1,:]
 jjr1_MAY=amch1_MAY[4,:]
+fov1_MAY = amch1_MAY[7,:]
 ts1_MAY=amch1_MAY[10,:]
 emis1_MAY=amch1_MAY[16,:]
@@ -165,4 +155,5 @@
 orog1_MAY=amch1_MAY[13,:]
 
+
 i=5 #JUNE
 f=f1+str(date[i])+f2
@@ -175,13 +166,10 @@
         amch[j,iligne] = float(liste[j])
 
-
-    fichier.close()
-
-
+fichier.close()
 amch1_JUN=amch
-#### def des variables
 lon1_JUN=amch1_JUN[0,:]
 lat1_JUN=amch1_JUN[1,:]
 jjr1_JUN=amch1_JUN[4,:]
+fov1_JUN = amch1_JUN[7,:]
 ts1_JUN=amch1_JUN[10,:]
 emis1_JUN=amch1_JUN[16,:]
@@ -192,5 +180,6 @@
 orog1_JUN=amch1_JUN[13,:]
 
-i=6 #JULLY
+
+i=6 #JULY
 f=f1+str(date[i])+f2
 fichier=open(f,'r')
@@ -202,13 +191,10 @@
         amch[j,iligne] = float(liste[j])
 
-
-    fichier.close()
-
-
+fichier.close()
 amch1_JUL=amch
-#### def des variables 
 lon1_JUL=amch1_JUL[0,:]
 lat1_JUL=amch1_JUL[1,:]
 jjr1_JUL=amch1_JUL[4,:]
+fov1_JUL = amch1_JUL[7,:]
 ts1_JUL=amch1_JUL[10,:]
 emis1_JUL=amch1_JUL[16,:]
@@ -220,4 +206,197 @@
 
 
+##########
+## CH15 ##
+##########
+
+f1 = '/net/dedale/usr/dedale/surf/lelod/ANTARC/AMSUA_CH15_ANTARC_'
+f2 = '2010.DAT'
+date = np.array(['JANUARY', 'FEBRUARY', 'MARCH', 'APRIL', 'MAY', 'JUNE', 'JULY'])
+
+numlines_month = np.zeros([7],float)
+
+for i in range (0, 7):
+    print 'mois =', date[i]
+    f = f1 + str(date[i]) + f2
+    fichier = open(f,'r')
+    numlines_month[i] = 0
+    for line in fichier : numlines_month[i] += 1
+
+    fichier.close()
+
+
+i = 0 #JANUARY
+f = f1 + str(date[i]) + f2
+fichier = open(f,'r')
+amch = np.zeros([20, numlines_month[i]], float)
+for iligne in range (0, numlines_month[i]):
+    line = fichier.readline()
+    liste = line.split()
+    for j in range (0, 20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch15_JAN = amch
+lon15_JAN = amch15_JAN[0,:]
+lat15_JAN = amch15_JAN[1,:]
+jjr15_JAN = amch15_JAN[4,:]
+fov15_JAN = amch15_JAN[7,:]
+ts15_JAN = amch15_JAN[10,:]
+emis15_JAN = amch15_JAN[16,:]
+tb15_JAN = amch15_JAN[15,:]
+tup15_JAN = amch15_JAN[18,:]
+tdn15_JAN = amch15_JAN[17,:]
+trans15_JAN = amch15_JAN[19,:]
+orog15_JAN = amch15_JAN[13,:]
+
+
+i = 1 #FEBRUARY
+f = f1 + str(date[i]) + f2
+fichier = open(f,'r')
+amch = np.zeros([20, numlines_month[i]], float)
+for iligne in range (0, numlines_month[i]):
+    line = fichier.readline()
+    liste = line.split()
+    for j in range(0,20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch15_FEB = amch
+lon15_FEB = amch15_FEB[0,:]
+lat15_FEB = amch15_FEB[1,:]
+jjr15_FEB = amch15_FEB[4,:]
+fov15_FEB = amch15_FEB[7,:]
+ts15_FEB = amch15_FEB[10,:]
+emis15_FEB = amch15_FEB[16,:]
+tb15_FEB = amch15_FEB[15,:]
+tup15_FEB = amch15_FEB[18,:]
+tdn15_FEB = amch15_FEB[17,:]
+trans15_FEB = amch15_FEB[19,:]
+orog15_FEB = amch15_FEB[13,:]
+
+
+i = 2 #MARCH
+f = f1 + str(date[i]) + f2
+fichier = open(f, 'r')
+amch = np.zeros([20, numlines_month[i]], float)
+for iligne in range (0, numlines_month[i]):
+    line = fichier.readline()
+    liste = line.split()
+    for j in range (0, 20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch15_MAR = amch
+lon15_MAR = amch15_MAR[0,:]
+lat15_MAR = amch15_MAR[1,:]
+jjr15_MAR = amch15_MAR[4,:]
+fov15_MAR = amch15_MAR[7,:]
+ts15_MAR = amch15_MAR[10,:]
+emis15_MAR = amch15_MAR[16,:]
+tb15_MAR = amch15_MAR[15,:]
+tup15_MAR = amch15_MAR[18,:]
+tdn15_MAR = amch15_MAR[17,:]
+trans15_MAR = amch15_MAR[19,:]
+orog15_MAR = amch15_MAR[13,:]
+
+
+i = 3 #APRIL
+f = f1 + str(date[i]) + f2
+fichier = open(f, 'r')
+amch = np.zeros([20, numlines_month[i]], float)
+for iligne in range (0, numlines_month[i]):
+    line = fichier.readline()
+    liste = line.split()
+    for j in range (0, 20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch15_APR = amch
+lon15_APR = amch15_APR[0,:]
+lat15_APR = amch15_APR[1,:]
+jjr15_APR = amch15_APR[4,:]
+fov15_APR = amch15_APR[7,:]
+ts15_APR = amch15_APR[10,:]
+emis15_APR = amch15_APR[16,:]
+tb15_APR = amch15_APR[15,:]
+tup15_APR = amch15_APR[18,:]
+tdn15_APR = amch15_APR[17,:]
+trans15_APR = amch15_APR[19,:]
+orog15_APR = amch15_APR[13,:]
+
+
+i = 4 #MAY
+f = f1 + str(date[i]) + f2
+fichier = open(f, 'r')
+amch=np.zeros([20,numlines_month[i]],float)
+for iligne in range (0,numlines_month[i]):
+    line=fichier.readline()
+    liste = line.split()
+    for j in range(0,20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch15_MAY=amch
+lon15_MAY=amch15_MAY[0,:]
+lat15_MAY=amch15_MAY[1,:]
+jjr15_MAY=amch15_MAY[4,:]
+fov15_MAY = amch15_MAY[7,:]
+ts15_MAY=amch15_MAY[10,:]
+emis15_MAY=amch15_MAY[16,:]
+tb15_MAY=amch15_MAY[15,:]
+tup15_MAY=amch15_MAY[18,:]
+tdn15_MAY=amch15_MAY[17,:]
+trans15_MAY=amch15_MAY[19,:]
+orog15_MAY=amch15_MAY[13,:]
+
+
+i=5 #JUNE
+f=f1+str(date[i])+f2
+fichier=open(f,'r')
+amch=np.zeros([20,numlines_month[i]],float)
+for iligne in range (0,numlines_month[i]):
+    line=fichier.readline()
+    liste = line.split()
+    for j in range(0,20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch15_JUN=amch
+lon15_JUN=amch15_JUN[0,:]
+lat15_JUN=amch15_JUN[1,:]
+jjr15_JUN=amch15_JUN[4,:]
+fov15_JUN = amch15_JUN[7,:]
+ts15_JUN=amch15_JUN[10,:]
+emis15_JUN=amch15_JUN[16,:]
+tb15_JUN=amch15_JUN[15,:]
+tup15_JUN=amch15_JUN[18,:]
+tdn15_JUN=amch15_JUN[17,:]
+trans15_JUN=amch15_JUN[19,:]
+orog15_JUN=amch15_JUN[13,:]
+
+
+i=6 #JULY
+f=f1+str(date[i])+f2
+fichier=open(f,'r')
+amch=np.zeros([20,numlines_month[i]],float)
+for iligne in range (0,numlines_month[i]):
+    line=fichier.readline()
+    liste = line.split()
+    for j in range(0,20):
+        amch[j,iligne] = float(liste[j])
+
+fichier.close()
+amch15_JUL = amch
+lon15_JUL = amch15_JUL[0,:]
+lat15_JUL = amch15_JUL[1,:]
+jjr15_JUL = amch15_JUL[4,:]
+fov15_JUL = amch15_JUL[7,:]
+ts15_JUL = amch15_JUL[10,:]
+emis15_JUL = amch15_JUL[16,:]
+tb15_JUL = amch15_JUL[15,:]
+tup15_JUL = amch15_JUL[18,:]
+tdn15_JUL = amch15_JUL[17,:]
+trans15_JUL = amch15_JUL[19,:]
+orog15_JUL = amch15_JUL[13,:]
 
 
